Download MetaTrader 5

From August 1, 2013 desktop MetaTrader 4 terminals older than build 500 will be no longer supported

To add comments, please log in or register
MetaQuotes Software Corp.
Moderator
192472
MetaQuotes Software Corp.  

As we have already announced on June 22, from August 1, 2013 MetaTrader 4 desktop client terminals older than build 500 will be no longer supported. This limitation does not apply to the mobile terminals.

In this regard, we strongly recommend that you update your trading terminals to the latest build 509. 
To add comments, please log in or register